
-------------------------------------------------------------------------------

local escalate_wait = 0.5

-------------------------------------------------------------------------------
-- Escalate 1 -> 2

add_wave_ping_event_wait(0)
add_wave_time_wait(escalate_wait)

add_wave(function ()
  return waves_sequential(
    wait_none(),
    {
      wave_spawn(pos_gen_circle(vec(0.0, 0.0), 2.5, 8), CPP_wm_skellington_melee),
      wave_timed_wait(0.5),
      wave_spawn(pos_gen_circle(vec(0.0, 0.0), 3.5, 12), CPP_wm_skellington_melee),
    })
end)

-------------------------------------------------------------------------------
-- Escalate 2 -> 3

add_wave_ping_event_wait(0)
add_wave_time_wait(escalate_wait)

local wave_wait = 46.0

add_wave(function ()
  return waves_sequential(
    wait_time(wave_wait),
    {
      wave_timed_wait(6.5),
      wave_spawn(pos_single_line(vec(-9.0, -4.0), vec(9.0, -4.0), 6), CPP_wm_skellington_melee),
      wave_spawn(pos_single_line(vec(-9.0,  4.0), vec(9.0,  4.0), 6), CPP_wm_skellington_melee),
    })
end)

add_wave(function ()
  return waves_sequential(
    wait_time(1.0),
    waves_repeat({
      wave_spawn(pos_single_line(vec(-9.0, -4.0), vec(9.0, -4.0), 6), CPP_wm_skellington_melee),
      wave_spawn(pos_single_line(vec(-9.0,  4.0), vec(9.0,  4.0), 6), CPP_wm_skellington_melee),
    },
    99,
    wave_wait))
end)